// MainView.cpp : implementation file
//

#include "stdafx.h"
#include "ActiveXDemo2.h"
#include "MainView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainView dialog


CMainView::CMainView(CWnd* pParent /*=NULL*/)
	: CDialog(CMainView::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMainView)
	m_csEdit = _T("");
	m_csMessage = _T("");
	//}}AFX_DATA_INIT
}


void CMainView::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMainView)
	DDX_Control(pDX, IDC_LIST, m_List);
	DDX_Text(pDX, IDC_Edit, m_csEdit);
	DDX_Text(pDX, IDC_Static_Message, m_csMessage);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMainView, CDialog)
	//{{AFX_MSG_MAP(CMainView)
	ON_BN_CLICKED(IDC_Button_Message, OnButtonMessage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainView message handlers
/////////////////////////////////////////////////////////////////////////////
void CMainView::PostNcDestroy() 
{
	delete this;
//	CDialog::PostNcDestroy();
}

/////////////////////////////////////////////////////////////////////////////
BOOL CMainView::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_List.InsertColumn(0, "Test Column", LVCFMT_LEFT, 200);
	m_List.InsertItem(0, "Test Item", 0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

/////////////////////////////////////////////////////////////////////////////
void CMainView::OnButtonMessage() 
{
	UpdateData(TRUE);

	AfxMessageBox(m_csEdit);
	
	m_csMessage = m_csEdit;
	UpdateData(FALSE);
}
